JaxbHibernateMapping.JaxbTypedef (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbTypedef

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbTypedef

Enclosing class:
  JaxbHibernateMapping

    public static class JaxbHibernateMapping.JaxbTypedef

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="param" type="{http://www.hibernate.org/xsd/hibernate-mapping}param-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `clazz`
`protected String` | `name`
`protected List<JaxbParamElement>` | `param`

Constructor Summary
`JaxbHibernateMapping.JaxbTypedef()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getName()` Gets the value of the name property.
`List<JaxbParamElement>` | `getParam()` Gets the value of the param property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### param

    protected List<JaxbParamElement> param

### clazz

    protected String clazz

### name

    protected String name

Constructor Detail

### JaxbHibernateMapping.JaxbTypedef

    public JaxbHibernateMapping.JaxbTypedef()

Method Detail

### getParam

    public List<JaxbParamElement> getParam()

  Gets the value of the param property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the param property.

  For example, to add a new item, do as follows:

          getParam().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbParamElement`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.